sc::MsgMemoryGrp(3)

NAME
sc::MsgMemoryGrp -

A MsgMemoryGrp that initializes its data using a messagegrp.

SYNOPSIS

#include <memmsg.h>

Inherits sc::MemoryGrp.

Inherited by sc::ActiveMsgMemoryGrp, sc::RDMAMemoryGrp, and sc::ShmMemoryGrp.

  Public Member Functions
MsgMemoryGrp (const Ref< MessageGrp > &msg)
MsgMemoryGrp (const Ref< KeyVal > &keyval)
void set_localsize (size_t localsize)
Set the size of locally held memory.
void sync ()
Synchronizes all the nodes.

  Protected Attributes
Ref< MessageGrp > msg_

Detailed Description

A MsgMemoryGrp that initializes its data using a messagegrp.

Member Function Documentation

  void sc::MsgMemoryGrp::set_localsize (size_t) [virtual]

Set the size of locally held memory. When memory is accessed using a global offset counting starts at node 0 and proceeds up to node n() - 1.

Implements sc::MemoryGrp.

Reimplemented in sc::ActiveMsgMemoryGrp, sc::ShmMemoryGrp, sc::RDMAMemoryGrp, and sc::ARMCIMemoryGrp.

  void sc::MsgMemoryGrp::sync () [virtual]

Synchronizes all the nodes. This is useful after remote memory writes to be certain that all of the writes have completed and the data can be accessed locally, for example.

Implements sc::MemoryGrp.

Reimplemented in sc::MTMPIMemoryGrp, and sc::ARMCIMemoryGrp.

Author

Generated automatically by Doxygen for MPQC from the source code.